{% extends "template.html" %} {% block title %} SUBJECT {% endblock %} {% block content %} {% load static %}
<div class="card card-inicio">
    <img src="{% static 'img/portada/1.jpg' %}" class="card-img-top img-tattu" alt="...">
</div>
&nbsp &nbsp
<div style="margin:20px; max-width: 1300px;" class="container">
    <table class="table table-dark table-hover">
        <caption class="text-center">FIN DE LA LISTA DE CONTACTOS</caption>
        <thead>
            <tr>
                <th scope="col">#</th>
                <th scope="col">NOMBRES</th>
                <th scope="col">APELLIDO PATERNO</th>
                <th scope="col">APELLIDO MATERNO</th>
                <th scope="col">EMAIL</th>
                <th scope="col">TELEFONO</th>
                <th scope="col">ASUNTO</th>
                <th scope="col"></th>
            </tr>
        </thead>
        <tbody>
            {% if datosContactos %} {% for dato in datosContactos %}
            <tr>
                <th>{{dato.id}}</th>
                <td>{{dato.nombres}}</td>
                <td>{{dato.apellido_pat}}</td>
                <td>{{dato.apellido_mat}}</td>
                <td>{{dato.email}}</td>
                <td>{{dato.telefono}}</td>
                <td>{{dato.asunto}}</td>
                <td>
                    <button type="button" class="btn btn-primary" id="btn-edit-{{dato.id}}" onclick="editar_contacto({{dato.id}})">ACTUALIZA</button>
                    <button type="button" class="btn btn-danger" id="btn-delete-{{dato.id}}" data-toggle="modal" data-target="#modal-{{dato.id}}-delete">ELIMINA</button>
                    <div class="modal" id="modal-{{dato.id}}-delete">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h4 class="modal-title">ELIMINAR COTIZACIÓN</h4>
                                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                                </div>
                                <div class="modal-body">
                                    <p>Al seleccionar esta opción se eliminara la cotización y todos sus componentes. ¿Desea eliminar?.
                                    </p>
                                    <button type="button" class="btn btn-primary" onclick="eliminar_contacto({{dato.id}})">SI</button>
                                    <button type="button" class="btn btn-danger" data-dismiss="modal">NO, CANCELAR</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </td>
            </tr>
            {% endfor %}{% endif %}
        </tbody>
    </table>
</div>
<script src="{% static 'js/tattuvalidaciones/subject-validate.js' %}"></script>
{% endblock %}